Bug 1840283 - Update Helm endpoints to use Helm 3.2
Summary: Update Helm endpoints to use Helm 3.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.0
Assignee: Predrag Knezevic
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-26 16:57 UTC by Predrag Knezevic
Modified: 2020-07-13 17:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:41:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5568 0 None closed Bug 1840283: Helm endpoints upgraded to use Helm 3.2.1 2020-06-24 03:21:19 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:42:09 UTC

Description Predrag Knezevic 2020-05-26 16:57:34 UTC
Description of problem:

Along with release Helm 3.2 as GA for OpenShift 4.5, we should update Helm endpoints living in the console backend to use Helm 3.2 as well, so that we keep them in sync with CLI. At the moment, the endpoints are based on 3.0.x. There is a risk that Helm releases created by CLI might not be compatible with the code running within the endpoints, and hence we should narrow the gap.

Comment 3 Predrag Knezevic 2020-06-10 14:07:44 UTC
This ticket does not fix any particular issue, it is about upgrading Helm endpoints available in the console backend to use Helm 3.2.1 code. This change does not affect any provided functionality.

Comment 4 Gajanan More 2020-06-11 05:13:38 UTC
Thank you Predrag for the comment. 
Marking this as verified.

Comment 5 errata-xmlrpc 2020-07-13 17:41:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.